﻿using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;

namespace HeuristicLab.Analysis.FitnessLandscape.FDC {

  [View("HeatMap View")]
  [Content(typeof(HeatMap), true)]
  public partial class HeatMapView : NamedItemView {

    public new HeatMap Content {
      get { return (HeatMap)base.Content; }
      set { base.Content = value; }
    }

    public HeatMapView() {
      InitializeComponent();
      OnContentChanged();
    }

    protected override void OnContentChanged() {
      if (Content != null)
        heatMapControl.AddPoints(Content.Points);
      base.OnContentChanged();
    }

    protected override void RegisterContentEvents() {
      base.RegisterContentEvents();
    }

    protected override void DeregisterContentEvents() {
      base.DeregisterContentEvents();
    }
  }
}
